Loading...
Searching...
No Matches
BALL::NMRStarFile::MonomericPolymer Class Reference

`#include <BALL/FORMAT/NMRStarFile.h>`

## Classes

class | HomologDB
| Database with homolog entries. More...

## Public Member Functions

| MonomericPolymer ()
std::ostream & | operator>> (std::ostream &s)
void | clear ()

## Public Attributes

String | label_name
String | type
String | polymer_class
String | common_name
String | name_variant
float | molecular_mass
String | details
int | number_of_residues
String | residue_sequence
StringHashMap< String > | residues_by_index
vector< HomologDB > | homolog_database_entries

## Detailed Description

Monomeric Polymer This class includes all Monomeric Polymers occuring in this file. All members are public for easy access.

Definition at line 312 of file NMRStarFile.h.

## Constructor & Destructor Documentation

## MonomericPolymer()

BALL::NMRStarFile::MonomericPolymer::MonomericPolymer | ( |  | ) |

## Member Function Documentation

## clear()

void BALL::NMRStarFile::MonomericPolymer::clear | ( |  | ) |

## operator>>()

std::ostream & BALL::NMRStarFile::MonomericPolymer::operator>> | ( | std::ostream & | s | ) |

## Member Data Documentation

## common_name

String BALL::NMRStarFile::MonomericPolymer::common_name

Definition at line 340 of file NMRStarFile.h.

## details

String BALL::NMRStarFile::MonomericPolymer::details

Definition at line 343 of file NMRStarFile.h.

## homolog_database_entries

vector<HomologDB> BALL::NMRStarFile::MonomericPolymer::homolog_database_entries

Definition at line 350 of file NMRStarFile.h.

## label_name

String BALL::NMRStarFile::MonomericPolymer::label_name

Definition at line 337 of file NMRStarFile.h.

## molecular_mass

float BALL::NMRStarFile::MonomericPolymer::molecular_mass

Definition at line 342 of file NMRStarFile.h.

## name_variant

String BALL::NMRStarFile::MonomericPolymer::name_variant

Definition at line 341 of file NMRStarFile.h.

## number_of_residues

int BALL::NMRStarFile::MonomericPolymer::number_of_residues

Definition at line 345 of file NMRStarFile.h.

## polymer_class

String BALL::NMRStarFile::MonomericPolymer::polymer_class

Definition at line 339 of file NMRStarFile.h.

## residue_sequence

String BALL::NMRStarFile::MonomericPolymer::residue_sequence

Definition at line 346 of file NMRStarFile.h.

## residues_by_index

StringHashMap<String> BALL::NMRStarFile::MonomericPolymer::residues_by_index

Definition at line 349 of file NMRStarFile.h.

## type

String BALL::NMRStarFile::MonomericPolymer::type

Definition at line 338 of file NMRStarFile.h.